Lua_WildSecretRankRewardWindow = class("Lua_WildSecretRankRewardWindow", Lua_Window)
function Lua_WildSecretRankRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WildSecretRankRewardWindow";
	self.skinName = "WildSecretRankRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_WildSecretRankRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 630, 715, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -100, 0);
	self.itemList:setListCell(Lua_WildSecretRankRewardItem, 630, 120, 1);
	self.itemList:setCellSpacing(0, 5);

	local config = getConfig("wild_secret_score_rank_reward");
	self.itemList:setArrayData(config);
end

function Lua_WildSecretRankRewardWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end










Lua_WildSecretRankRewardItem = class("Lua_WildSecretRankRewardItem", Lua_ListCell)
function Lua_WildSecretRankRewardItem:ctor(p)
	self:superCall("ctor", p, "WildSecretRankRewardItem_skin");
end

function Lua_WildSecretRankRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(87, 0, 0);
	self.itemList.scaleVal = 0.75;
end

function Lua_WildSecretRankRewardItem:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_WildSecretRankRewardItem:setData(data)
	if data.range[1] <= 3 then
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_1"..(data.range[1] - 1));
		self.rankText:setEnable(false);
	else
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_13");
		self.rankIcon:resetSize();
		self.rankText:setEnable(true);
		self.rankText.text = data.show_label;
		self.rankText.fontSize = data.font_size;
	end
	self.itemList:setArrayData(data.reward);
end

function Lua_WildSecretRankRewardItem:onPressClick()
	self.itemList:onBoundClick();
end