-- 蛮荒秘境
Lua_WildSecretWindow = class("Lua_WildSecretWindow", Lua_Window)
function Lua_WildSecretWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.MAIN_MENU_LAYER;
	self.windowName = "Lua_WildSecretWindow";
	self.isFullPaving = true;
	self.isFullSizeWin = true;
	self.showWinBg = true;
	self.winBgPath = "/images/wild_secret/xui_mhyj_bg_1.jpg";
	self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
end

function Lua_WildSecretWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.bottomBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "xui_common_widget_002", 0, 60.5, 720, 121);
	self.bottomBg.anchorValue = 7;

	self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.buttonList:setRectAnchor(7);
	self.buttonList:setRectPivot(5);
	self.buttonList.pivot = -1;
	self.buttonList:setLocation(360, 53.5, 0);
	self.buttonList:setButtonStyle("common_altas_1", "ui_common_button_001_b", "ui_common_button_001_b", 118, 108, 0.01, 1);
	self.buttonList:setButtonLine("common_altas_1", "ui_common_line_011", 2, 108, 0, 0, 1);
	self.buttonList:setButtonItem(120, 108);
	self.buttonList:setRedPoint(40, 40);
	self.buttonList:setClickCallBack(self, self.onButtonClick);
	self.buttonList:setData(DataCenter.wildSecretUtil.tabList);

	self:createBackBtn();
end

function Lua_WildSecretWindow:dispose()
	self.bottomBg = nil;
	if self.showPanel then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	if self.buttonList then
		self.buttonList:dispose();
		self.buttonList = nil;
	end
	self:superCall("dispose");
end

function Lua_WildSecretWindow:showWin(param)
	self:superCall("showWin", param);
	self.buttonList:setSelected(param.main_id);
end

function Lua_WildSecretWindow:onButtonClick(index, data)
	if self.selectedIdx == index then
		return;
	end
	self.prevIdx = self.selectedIdx;
	self.selectedIdx = index;

	if data.panel ~= nil then
		if self.showPanel then
			self.showPanel:dispose();
			self.showPanel = nil;
		end
		local panel = checkRequire(data.panel);
		self.showPanel = panel.new(self.content);
		self.showPanel:setSiblingIndex(1);
		self.showPanel:setRectAnchor(9);
	elseif data.funcPathId ~= nil then
		DataCenter.funcPathUtil:gotoFunction(data.funcPathId);
		self.buttonList:updateSelected(self.prevIdx);
		self.selectedIdx = self.prevIdx;
	end

	if self.selectedIdx == 2 then
		self.winBgPath = "/images/wild_secret/xui_mhyj_bg_13.jpg";
		self.winBg.anchorValue = 4;
		self.winBg.pivotValue = 4;
	else
		self.winBgPath = "/images/wild_secret/xui_mhyj_bg_1.jpg";
		self.winBg.anchorValue = 1;
		self.winBg.pivotValue = 1;
	end
	self.winBg:setUrl(self.winBgPath);
end