Lua_WildLodeIncomeInfoWindow = class("Lua_WildLodeIncomeInfoWindow", Lua_Window)
function Lua_WildLodeIncomeInfoWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WildLodeIncomeInfoWindow";
	self.skinName = "WildLodeIncomeInfoWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_WildLodeIncomeInfoWindow:buildShowItem()
	self:superCall("buildShowItem");
	
	self.infoItem1 = Lua_WildLodeIncomeInfoItem.new(self.content);
	self.infoItem1:setLocation(-260, 158.5, 0);

	self.infoItem2 = Lua_WildLodeIncomeInfoItem.new(self.content);
	self.infoItem2:setLocation(-260, 112, 0);

	self.textArea = Lua_TextArea.new(self.content, 535, 340);
	self.textArea:setRectPivot(1);
	self.textArea:setLocation(2, 8, 0);
	self.textArea:setText(LanUtil.getValue(701062), 22, 1.4, 0, "DEE0E9");

	self:addLuaEvent("WILD_SECRET_LODE_INCOME", self, self.updateServerInfo);
	Lua_ProxyManager.getProxy("Lua_WildSecretProxy"):sLodeIncomeInfo();
end

function Lua_WildLodeIncomeInfoWindow:dispose()
	if self.infoItem1 then
		self.infoItem1:dispose();
		self.infoItem1 = nil;
	end
	if self.infoItem2 then
		self.infoItem2:dispose();
		self.infoItem2 = nil;
	end
	if self.textArea then
		self.textArea:dispose();
		self.textArea = nil;
	end
	self:superCall("dispose");
end

function Lua_WildLodeIncomeInfoWindow:updateServerInfo(msg)
	self.totalText.text = LanUtil.formateStr(701059, tostring(msg.total_profit));
	self.baseText.text = LanUtil.formateStr(701060, tostring(msg.base_profit));
	table.sort( msg.profit_info, function(a, b) return a.key < b.key end );
	self.infoItem1:setData(1, msg.profit_info[1]);
	self.infoItem2:setData(2, msg.profit_info[2]);
end










Lua_WildLodeIncomeInfoItem = class("Lua_WildLodeIncomeInfoItem", Lua_DisplayObject)
function Lua_WildLodeIncomeInfoItem:ctor(p)
	self:superCall("ctor", p, "WildLodeIncomeInfoItem_skin");
end

function Lua_WildLodeIncomeInfoItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_WildLodeIncomeInfoItem:dispose()
	self:superCall("dispose");
end

function Lua_WildLodeIncomeInfoItem:setData(index, data)
	if data == nil then
		self.showText.text = LanUtil.formateStr(701061, tostring(index), tostring(0));
		self.luckObject:SetActive(false);
	else
		self.showText.text = LanUtil.formateStr(701061, tostring(data.key), tostring(data.value));
		self.showText:resetSize();

		self.luckObject:SetActive(data.other > 0);
		self.luckValueText.text = LanUtil.formateStr(701039, tostring(data.other));
		LuaUtil.setObjScale(self.luckObject, 0.7, 0.7, 1);
		LuaUtil.setObjPos(self.luckObject, self.showText.width + 40, 0, 0);
	end
end