Lua_WildLodeMapWindow = class("Lua_WildLodeMapWindow", Lua_Window)
function Lua_WildLodeMapWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WildLodeMapWindow";
	self.skinName = "WildLodeMapWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_WildLodeMapWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 627, 742, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -60, 0);
	self.itemList:setListCell(Lua_WildLodeMapItem, 627, 120, 1);
	self.itemList:setCellSpacing(0, 5);

	self:addLuaEvent("WILD_SECRET_LODE_MAP", self, self.updateServerInfo);
end

function Lua_WildLodeMapWindow:dispose()
	self.selfDic = nil;
	self:superCall("dispose");
end

function Lua_WildLodeMapWindow:showWin(param)
	self:superCall("showWin", param);
	Lua_ProxyManager.getProxy("Lua_WildSecretProxy"):sLodeMapInfo(param);
end

function Lua_WildLodeMapWindow:updateServerInfo(msg)
	table.sort( msg.mine_region_list, function(a, b) return a.region < b.region end );
	self.selfDic = {};
	local config;
	for i = 1, #msg.mine_site_list do
		config = DataCenter.wildSecretUtil:getLodePointConfig(msg.mine_site_list[i]);
		if config.region == self.showData then
			self.selfDic[config.map_id] = 1;
		end
	end
	self.itemList.customParam = self.selfDic;
	self.itemList:setArrayData(msg.mine_region_list);
end










Lua_WildLodeMapItem = class("Lua_WildLodeMapItem", Lua_ListCell)
function Lua_WildLodeMapItem:ctor(p)
	self:superCall("ctor", p, "WildLodeMapItem_skin");
end

function Lua_WildLodeMapItem:buildShowItem()
	self:superCall("buildShowItem");
	self.btnGoto:addClickFuntion(self, self.onGotoClick);
end

function Lua_WildLodeMapItem:dispose()
	self.selfDic = nil;
	self.data = nil;
	self:superCall("dispose");
end

function Lua_WildLodeMapItem:setCustomParam(customParam)
	self.selfDic = customParam;
end

function Lua_WildLodeMapItem:setData(data)
	self.data = data;
	local str = LanUtil.formateStr(701041, tostring(data.region));
	if self.selfDic[data.region] == 1 then
		str = LanUtil.formateStr(701058, str);
	end
	self.nameText.text = str;
	self.numText.text = LanUtil.formateStr(701042, tostring(data.occupy_num), tostring(data.mite_site_num));
end

function Lua_WildLodeMapItem:onGotoClick(go)
	Lua_MsgUtil.callFunc("WILD_SECRET_LODE_MAP_SELECT", self.data.region);
	Lua_WindowUtil.openWin("Lua_WildLodeMapWindow", Lua_WinParam.ACTION_CLOSE);
end