Lua_WildLodeTipsWindow = class("Lua_WildLodeTipsWindow", Lua_Window)
function Lua_WildLodeTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WildLodeTipsWindow";
	self.skinName = "WildLodeTipsWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_WildLodeTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 600, 346, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, 16, 0);
	self.itemList:setListCell(Lua_WildLodeTipsItem, 600, 172, 1);
	self.itemList:setCellSpacing(0, 5);

	Lua_ProxyManager.getProxy("Lua_WildSecretProxy"):sLodeTips(0);
end

function Lua_WildLodeTipsWindow:dispose()
	DataCenter.wildSecretData.reportList = nil;
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_WildLodeTipsWindow:showWin(param)
	self:superCall("showWin", param);
	self.itemList:setArrayData(param);
	self.itemList.canDrag = not self.itemList.isTheEnd;
end










Lua_WildLodeTipsItem = class("Lua_WildLodeTipsItem", Lua_ListCell)
function Lua_WildLodeTipsItem:ctor(p)
	self:superCall("ctor", p, "WildLodeTipsItem_skin");
	self.btnGoto:addClickFuntion(self, self.onGotoClick);
end

function Lua_WildLodeTipsItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_WildLodeTipsItem:dispose()
	self:superCall("dispose");
end

function Lua_WildLodeTipsItem:setData(data)
	local config = DataCenter.wildSecretUtil:getLodePointConfig(data.mine_site_id);
	self.icon:setAltas("wild_secret_icon", config.bg_sprite);
	
	local str = os.date("%m/%d"..Lua_SpaceDefine.SPACE_TIME.."%H:%M", tonumber(data.tick));
	self.desText.text = LanUtil.formateStr(701094, str, data.content);
end

function Lua_WildLodeTipsItem:onGotoClick(go)
	DataCenter.funcPathUtil:gotoFunction(1162, true);
end