Lua_WildStageDailyRewardWindow = class("Lua_WildStageDailyRewardWindow", Lua_Window)
function Lua_WildStageDailyRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WildStageDailyRewardWindow";
	self.skinName = "WildStageDailyRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_WildStageDailyRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(0, -10, 0);
	self.itemList.canClick = true;

	local id = DataCenter.wildSecretData.dailyRewardStageId;
	local curStageId = DataCenter.wildSecretData.curStageId;
	local config;
	if id == 0 then
		self.btnReceive:setLangValue(701010);
		config = DataCenter.wildSecretUtil:getStageConfig(curStageId);
		if config.floor == 1 and config.stage == 1 then
			self.desText:setLangValue(701093);
		else
			self.desText:setLangValue(701008);
		end
		if config.prev_id > 0 and not DataCenter.wildSecretData.isFinish then
			config = DataCenter.wildSecretUtil:getStageConfig(config.prev_id);
		end
	else
		self.desText:setLangValue(701007);
		self.btnReceive:setLangValue(701009);
		config = DataCenter.wildSecretUtil:getStageConfig(id);
	end
	self.itemList:setArrayData(config.daily_reward);
	self.btnReceive:addClickFuntion(self, self.onReceiveClick);
end

function Lua_WildStageDailyRewardWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_WildStageDailyRewardWindow:onReceiveClick(go)
	if self.clickTime and getTime() - self.clickTime < 0.3 then
		return;
	end
	self.clickTime = getTime();

	if DataCenter.wildSecretData.dailyRewardStageId == 0 then
		self:hide();
	else
		Lua_ProxyManager.getProxy("Lua_WildSecretProxy"):sReceiveDailyReward();
	end
end