Lua_WildStageFriendWindow = class("Lua_WildStageFriendWindow", Lua_Window)
function Lua_WildStageFriendWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WildStageFriendWindow";
	self.skinName = "WildStageFriendWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_WildStageFriendWindow:buildShowItem()
	self:superCall("buildShowItem");
	self:addLuaEvent("WILD_SECRET_STAGE_FRIEND", self, self.updateServerInfo);
end

function Lua_WildStageFriendWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_WildStageFriendWindow:showWin(param)
	self:superCall("showWin", param);
	Lua_ProxyManager.getProxy("Lua_WildSecretProxy"):sFriendInfo(param);
end

function Lua_WildStageFriendWindow:updateServerInfo(msg)
	if msg.friend_list and #msg.friend_list > 0 then
		self:showNone(false);
		if self.itemList == nil then
			self.itemList = Lua_DragList.new(self.content, 629, 720, Lua_AxisDefine.Vertical);
			self.itemList:setLocation(0, -35, 0);
			self.itemList:setListCell(Lua_WildStageFriendItem, 629, 143, 1);
			self.itemList:setCellSpacing(0, 5);
		end
		self.itemList:setEnable(true);
		self.itemList:setArrayData(msg.friend_list);
	else
		if self.itemList then
			self.itemList:setEnable(false);
		end
		self:showNone(true);
	end
end

function Lua_WildStageFriendWindow:showNone(bValue)
	if bValue then
		if self.noneIcon == nil then
			self.noneIcon = UICreate.createUIAtlasImage(self.content, "common_altas_3", "xui_common_widget_012", 0, -35, 0, 0);
			self.noneText = UICreate.createLabel(self.content, nil, 0, -66.5, 100, 40, 40);
			self.noneText.pivotValue = 4;
			self.noneText.fontName = Lua_MyUISettings.huakangFontName;
			self.noneText.alignmentValue = 4;
			self.noneText.horizontalOverflowValue = 1;
			self.noneText.colorStr = Lua_ColorDefine.transColorStr("938680");
			self.noneText:setLangValue(701027);
		end
		self.noneIcon:setEnable(true);
		self.noneText:setEnable(true);
	else
		if self.noneIcon then
			self.noneIcon:setEnable(false);
			self.noneText:setEnable(false);
		end
	end
end










Lua_WildStageFriendItem = class("Lua_WildStageFriendItem", Lua_ListCell)
function Lua_WildStageFriendItem:ctor(p)
	self:superCall("ctor", p, "WildStageFriendItem_skin");
end

function Lua_WildStageFriendItem:buildShowItem()
	self:superCall("buildShowItem");

	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setLocation(-240, 0, 0);
	self.avatarItem:setCanClick(true);
end

function Lua_WildStageFriendItem:dispose()
	if self.avatarItem then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_WildStageFriendItem:setData(data)
	self.avatarItem:setRoleId(data.show_role.id, data.show_role.server_flag);
	self.avatarItem:setRoleDressUp(data.show_role.dress_info);
	self.avatarItem:setRoleLevel(data.show_role.level);
	self.nameText.text = data.show_role.name;
	self.forceText.text = data.show_role.force;
end